## python-isc-dhcp-leases 0.10.0

=== requirements.txt ===
freezegun>=0.3.4

## python-isc-dhcp-leases 0.8.1

=== debian/changelog ===
python-isc-dhcp-leases (0.8.1-1) unstable; urgency=medium

  * Initial packaging (Closes: #836233)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 31 Aug 2016 23:05:57 +0200

=== debian/control ===
Source: python-isc-dhcp-leases
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 python-all,
 python3-all,
Standards-Version: 3.9.8
Homepage: https://github.com/MartijnBraam/python-isc-dhcp-leases

Package: python-isc-dhcp-leases
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: Python module for reading dhcp leases files (Python 2 interface)
 This is a small Python module for reading /var/lib/dhcp/dhcpd.leases as written
 by isc-dhcp-server.
 It also supports reading lease files from the isc dhcp daemon running
 in IPv6 mode.
 .
 This package provides the Python 2.x module.

Package: python3-isc-dhcp-leases
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python module for reading dhcp leases files (Python 3 interface)
 This is a small Python module for reading /var/lib/dhcp/dhcpd.leases as written
 by isc-dhcp-server.
 It also supports reading lease files from the isc dhcp daemon running
 in IPv6 mode.
 .
 This package provides the Python 3.x module.

## python-isc-dhcp-leases 0.9.0

=== debian/changelog ===
python-isc-dhcp-leases (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
    * Dropped patches included upstream
  * Convert from git-dpm to patches unapplied format
  * Bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Oct 2017 14:08:35 +0200

python-isc-dhcp-leases (0.8.1-2) unstable; urgency=medium

  * Backported patch to handle missing 'end-date' in lease files
    (Closes: #864496)
  * Added Vcs-* stanzas
  * Bumped standards version to 4.1.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 19 Sep 2017 14:36:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: debhelper (>= 9), dh-python,
  python-all,
  python3-all,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/MartijnBraam/python-isc-dhcp-leases
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-isc-dhcp-leases.git
+Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-isc-dhcp-leases.git
 
 Package: python-isc-dhcp-leases
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=isc-dhcp-leases
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:

## python-isc-dhcp-leases 0.9.1

=== debian/changelog ===
python-isc-dhcp-leases (0.9.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.1.5, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 11:07:27 +0000

python-isc-dhcp-leases (0.9.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 14:37:01 -0400

python-isc-dhcp-leases (0.9.1-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 21:38:05 +0200

python-isc-dhcp-leases (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Added generic python testsuite for DebCI
  * Depend on python*-six
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 17 Apr 2018 14:41:07 +0200

=== debian/control ===
Source: python-isc-dhcp-leases
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
 python3-all,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.1.5
Homepage: https://github.com/MartijnBraam/python-isc-dhcp-leases
Vcs-Git: https://salsa.debian.org/python-team/packages/python-isc-dhcp-leases.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-isc-dhcp-leases

Package: python3-isc-dhcp-leases
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-six,
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python module for reading dhcp leases files (Python 3 interface)
 This is a small Python module for reading /var/lib/dhcp/dhcpd.leases as written
 by isc-dhcp-server.
 It also supports reading lease files from the isc dhcp daemon running
 in IPv6 mode.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=isc-dhcp-leases
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

## python-isc-dhcp-leases 0.10.0

=== debian/changelog ===
python-isc-dhcp-leases (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * Add build-depends on python3-setuptools for distutils (Closes: #1100267)
  * Patch-out leftover unused import of "six"

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Mar 2025 08:20:27 +0100

python-isc-dhcp-leases (0.10.0-2) unstable; urgency=medium

  * Patch to pass testdata directory to unittests (Closes: #1080131)
  * Patch to fix SyntaxWarning (Closes: #1085925)
  * Patch to fix deprecated use of UTC-aware datetime methods
  * Replace dashes with underscores in setup.cfg keywords
  * Drop use of undefined python3:Recommends/Suggests stanzas
  * Refresh patches with 'gbp pq'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Nov 2024 14:42:17 +0100

python-isc-dhcp-leases (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0

  * Add B-Ds for testsuite
  * Use pybuild autopkgtest
  * Run test-suite during build
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Update copyright information
    + Bump dates in d/copyright
    + Add 'licensecheck' target
    + Generate d/copyright_hints
  * Fix d/watch file
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Dec 2023 21:28:52 +0100

=== debian/control ===
Source: python-isc-dhcp-leases
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-freezegun <!nocheck>,
 python3-setuptools,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/MartijnBraam/python-isc-dhcp-leases
Vcs-Git: https://salsa.debian.org/python-team/packages/python-isc-dhcp-leases.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-isc-dhcp-leases

Package: python3-isc-dhcp-leases
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python module for reading dhcp leases files (Python 3 interface)
 This is a small Python module for reading /var/lib/dhcp/dhcpd.leases as written
 by isc-dhcp-server.
 It also supports reading lease files from the isc dhcp daemon running
 in IPv6 mode.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=isc-dhcp-leases
export DEB_TESTDATA_DIR=$(CURDIR)

%:
	dh $@ --buildsystem=pybuild

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# try also https://pypi.debian.net/isc_dhcp_leases/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/isc-dhcp-leases/isc_dhcp_leases-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
